const { ipcMain } = require('electron')
import { login, read, stopRead } from './modbus'

export function initIPC() {
    // 登录后发送登录成功回复
    ipcMain.on('login', (event, message) => {
        login(event, message)
        // link(event, message)
    })

    // 接收渲染进程发送的link请求
    ipcMain.on('link', (event, message) => {
    })

    // 读取寄存器
    ipcMain.on('read', (event, message) => {
        read(event, message)
        console.log('pong')
    })

    // 停止modbus读取
    ipcMain.on('stop', (event) => {
        stopRead(event)
    })
}

